cURL
curl --request GET \
--url 'https://app.teable.ai/api/organization/department?parentId=SOME_STRING_VALUE&search=SOME_STRING_VALUE&includeChildrenDepartment=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"hasChildren": true,
"parentId": "<string>",
"path": [
"<string>"
],
"pathName": [
"<string>"
]
}
]organization
Get organizationdepartment
GET
/
organization
/
department
cURL
curl --request GET \
--url 'https://app.teable.ai/api/organization/department?parentId=SOME_STRING_VALUE&search=SOME_STRING_VALUE&includeChildrenDepartment=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"name": "<string>",
"hasChildren": true,
"parentId": "<string>",
"path": [
"<string>"
],
"pathName": [
"<string>"
]
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on July 3, 2026
Was this page helpful?
⌘I

